org.apache.cassandra.transport

## Class Event

- java.lang.Object
- - org.apache.cassandra.transport.Event

- Direct Known Subclasses:
    Event.SchemaChange, Event.StatusChange, Event.TopologyChange

      public abstract class Event
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Event.SchemaChange`
    `static class` | `Event.StatusChange`
    `static class` | `Event.TopologyChange`
    `static class` | `Event.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Event.Type` | `type`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Event` | `deserialize(org.jboss.netty.buffer.ChannelBuffer cb)`
    `org.jboss.netty.buffer.ChannelBuffer` | `serialize()`
    `protected abstract org.jboss.netty.buffer.ChannelBuffer` | `serializeEvent()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          public final Event.Type type

  - ### Method Detail

    - #### deserialize

          public static Event deserialize(org.jboss.netty.buffer.ChannelBuffer cb)

    - #### serialize

          public org.jboss.netty.buffer.ChannelBuffer serialize()

    - #### serializeEvent

          protected abstract org.jboss.netty.buffer.ChannelBuffer serializeEvent()

Copyright © 2014 The Apache Software Foundation